dose.p {MASS} | R Documentation

## Predict Doses for Binomial Assay model

### Description

Calibrate binomial assays, generalizing the calculation of LD50.

### Usage

    dose.p(obj, cf = 1:2, p = 0.5)

### Arguments

`obj` | A fitted model object of class inheriting from `"glm"`.
`cf` | The terms in the coefficient vector giving the intercept and coefficient of (log-)dose
`p` | Probabilities at which to predict the dose needed.

### Value

An object of class `"glm.dose"` giving the prediction (attribute `"p"` and standard error (attribute `"SE"`) at each response probability.

### References

Venables, W. N. and Ripley, B. D. (2002) Modern Applied Statistics with S. Springer.

### Examples

    ldose <- rep(0:5, 2)
    numdead <- c(1, 4, 9, 13, 18, 20, 0, 2, 6, 10, 12, 16)
    sex <- factor(rep(c("M", "F"), c(6, 6)))
    SF <- cbind(numdead, numalive = 20 - numdead)
    budworm.lg0 <- glm(SF ~ sex + ldose - 1, family = binomial)

    dose.p(budworm.lg0, cf = c(1,3), p = 1:3/4)
    dose.p(update(budworm.lg0, family = binomial(link=probit)),
           cf = c(1,3), p = 1:3/4)

[Package MASS version 7.3-45 Index]